lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000023lxdreamGUIpublic2007-01-10 16:532008-02-03 18:31
Reporternkeynes 
Assigned Tonkeynes 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionM1 
Target VersionFixed in Version0.8 
Summary0000023: Keyboard input improvements
Description1. GTK input supplies decoded keycodes rather than origin keysyms, with the result that eg 'Z' and SHIFT-'Z' come out as different keys. This should be changed to work directly from the pressed key event (also so SHIFT etc are available for direct use).

2. It should be possible to specify more than one key for a given controller input

3. Keys that appear more than once of the keyboard should be specifiable in either generic form (ie "Ctrl"), and specific form (ie "Left_Ctrl" and "Right_Ctrl"). Primarily this affects the meta and keypad keys.
TagsNo tags attached.
MilestoneM3
Attached Files

- Relationships
child of 0000031closednkeynes End-user GUI 

-  Notes
(0000013)
nkeynes (administrator)
2007-01-11 04:42
edited on: 2007-01-11 04:43

Point 2 (multiple keys) done

(0000022)
nkeynes (administrator)
2007-01-28 15:14

It's not clear that GTK is going to actually support low-level keysyms - postponing the rest of this to the UI redesign in M3
(0000037)
nkeynes (administrator)
2007-10-16 16:56

Sorted point 1 by retranslating keysyms w/o modifiers - a little hacky but it works nicely
(0000038)
nkeynes (administrator)
2007-10-16 17:32

Fixed 1+2, 0000003 doesn't really make sense in the GUI context, and it's trivial enough for anyone manually hacking the config to add both.

- Issue History
Date Modified Username Field Change
2007-01-10 16:53 nkeynes New Issue
2007-01-10 19:16 nkeynes Status new => assigned
2007-01-10 19:16 nkeynes Assigned To => nkeynes
2007-01-10 19:16 nkeynes Milestone => M2
2007-01-11 04:42 nkeynes Note Added: 0000013
2007-01-11 04:43 nkeynes Note Edited: 0000013
2007-01-28 15:14 nkeynes Milestone M2 => M3
2007-01-28 15:14 nkeynes Note Added: 0000022
2007-02-11 16:49 nkeynes Relationship added child of 0000031
2007-10-16 16:56 nkeynes Note Added: 0000037
2007-10-16 17:32 nkeynes Status assigned => resolved
2007-10-16 17:32 nkeynes Fixed in Version => 0.8
2007-10-16 17:32 nkeynes Resolution open => fixed
2007-10-16 17:32 nkeynes Note Added: 0000038
2008-02-03 18:31 nkeynes Status resolved => closed
.